Skip to main content
POST
Create a price for a tier

Path Parameters

workspaceId
string
required
tierId
string
required

Body

application/json
interval
enum<string>
required
Available options:
Day,
Week,
Month,
Year
amount
integer
required
Required range: 0 <= x <= 9007199254740991
intervalCount
integer
default:1
Required range: -9007199254740991 < x <= 9007199254740991
currency
enum<string>
default:usd
Available options:
usd,
eur,
gbp,
cad,
aud,
chf,
sek,
nzd,
nok,
dkk

Response

OK

id
string
required
tierId
string
required
isActive
boolean
required
interval
enum<string>
required

Billing interval: Day, Week, Month, or Year.

Available options:
Day,
Week,
Month,
Year
intervalCount
integer
required

Number of intervals per billing cycle (usually 1).

Required range: -9007199254740991 <= x <= 9007199254740991
amount
integer
required

Price in the smallest currency unit (e.g. cents).

Required range: -9007199254740991 <= x <= 9007199254740991
currency
string
required

ISO 4217 currency code (e.g. usd).